ChakraHQ APIs
Home
Sign In
Home
Sign In
  1. Partner Access
  • API Keys
  • Response Format
  • Inbound Events Webhook
  • How to figure out pluginId and whatsappPhoneNumberId
  • API Rate Limits
  • Chara Chat SDK
  • Send Template Messages
    • Send Whatsapp Template Message For Process
    • Send Whatsapp Template Message For A Phone Number
    • Send Template Message (Meta API Format)
  • Send Session Messages
    • Send WhatsApp session message (pass-through)
  • Message Templates - Create & Manage
    • Create WhatsApp Message Template (pass-through)
    • List WhatsApp Message Templates (pass-through)
    • Update WhatsApp Message Template (pass-through)
  • Media - Upload & Manage
    • Upload Public Media
    • Show Whatsapp Media API
    • Fetch Whatsapp Media API
    • Show Whatsapp Media Attachments API
  • Flows - Create & Manage
    • Set Business Public Key
    • Get Business Public Key
  • Groups - Create & Manage
    • Create Group
    • List Groups
    • Get group info
    • Update Group Settings
    • Delete Group
    • Get Group Invite Link
    • Reset Group Invite Link
    • Get Group Join Requests
    • Approve Group Join Request
    • Reject Group Join Request
    • Remove Group Participants
  • Leads - Create & Manage
    • Create a lead
    • Update Lead By Phone Number
  • Chat & Chat Messages
    • List chats
    • List chat messages for a chat
    • List previous messages for a phone number
  • Campaigns - Manage
    • Add a phone number to a lead campaign
    • Remove phone number from a lead campaign
  • Calling
    • Calling Settings
      • Get phone number calling settings
      • Configure or update calling settings
    • Call Permissions
      • Get call permission state
    • Calls
      • Manage a call
  • Partner Access
    • Create Connect Token
      POST
    • Update WhatsApp plugin configuration
      POST
    • Fetch WhatsApp plugin configuration
      GET
    • List WhatsApp Business Accounts for the team
      GET
    • Fetch a WhatsApp Business Account by ID
      GET
    • List WhatsApp phone numbers for the team
      GET
    • Fetch a WhatsApp phone number by ID
      GET
    • Deregister a WhatsApp business phone number
      POST
    • Disconnect WABA Account
      POST
  • Platform
    • Process
      • Fetch Process By Id
      • List Processes
      • Create Process
      • Update Process
      • Update Process By Primary Key
      • Delete Process
      • Delete Process By Primary Key Value
      • Bulk Create Process API
      • Bulk Update Process API
    • Task
      • Create Task API
    • User
      • List Users API
      • List Users API (V2)
      • Fetch User API
      • Fetch User API (V2)
      • Update User API
    • Photo
      • Fetch Photo API
      • Upload Photo API
      • Upload Photo API With Id
    • Background Job
      • Fetch Background Job
      • Fetch Background Job Entries API
    • Fetch Config
  • Schemas
    • Whatsapp
      • MappingType
    • WhatsAppSessionPayload
    • WhatsAppPhoneNumber
    • DeregisterPhoneNumberRequest
    • WhatsAppCallRecordingOptions
    • WhatsAppBusinessAccount
    • DeregisterPhoneNumberSuccessResponse
    • WhatsAppCallTranscriptionOptions
    • WhatsAppPhoneNumberListResponse
    • WhatsAppCallsRequest
    • WhatsAppPhoneNumberResponse
    • WhatsAppCallsResponse
    • WhatsAppBusinessAccountListResponse
    • WhatsAppBusinessAccountResponse
    • WhatsAppCallHoursWeeklyEntry
    • ChakraErrorResponse
    • WhatsAppCallHoursHolidayEntry
    • WhatsAppCallHours
    • WhatsAppSipServer
    • WhatsAppSipSettings
    • WhatsAppCallingSettings
    • WhatsAppPhoneNumberSettings
    • WhatsAppUpdateSettingsRequest
    • WhatsAppUpdateSettingsResponse
    • WhatsAppCallPermissionActionLimit
    • WhatsAppCallPermissionAction
    • WhatsAppCallPermissionsResponse
    • MetaErrorResponse
  1. Partner Access

Fetch a WhatsApp phone number by ID

GET
/v1/ext/whatsapp-phone-number/{whatsappPhoneNumberId}
Returns curated details for a WhatsApp Business phone number.
The phone number must be mapped to the authenticated team. Unknown IDs
and IDs belonging to other teams both return a not-found error.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Phone number retrieved successfully.
Bodyapplication/json

🟠400PhoneNumberNotFound
🟠401Unauthorized
🔴500InternalServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/ext/whatsapp-phone-number/775966265503012' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "_data": {
        "id": "775966265503012",
        "waba": "102938475610293",
        "displayPhoneNumber": "+1 555-0100",
        "verifiedName": "Acme Support",
        "status": "CONNECTED",
        "qualityScore": {
            "score": "GREEN"
        },
        "messagingLimitTier": "TIER_10K",
        "codeVerificationStatus": "VERIFIED",
        "platformType": "CLOUD_API",
        "accountMode": "LIVE",
        "nameStatus": "APPROVED",
        "throughput": {
            "level": "STANDARD"
        },
        "isOfficialBusinessAccount": false,
        "lastOnboardedTime": "2024-06-01T12:00:00+0000",
        "chakraStatus": "CONNECTED"
    }
}
Modified at 2026-07-21 10:22:21
Previous
List WhatsApp phone numbers for the team
Next
Deregister a WhatsApp business phone number
Built with